Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface JAXRResponse

All Known Subinterfaces:
  BulkResponse

All Known Implementing Classes:
  JAXRException

public interface JAXRResponse

A JAXR requests' response.

Author:
  Farrukh S. Najmi
See Also:
  `JAXRException`

Field Summary
`static int` | `STATUS_FAILURE` Status indicating a failure response.
`static int` | `STATUS_SUCCESS` Status indicating a successful response.
`static int` | `STATUS_UNAVAILABLE` Status indicating that the results are currently unavailable.
`static int` | `STATUS_WARNING` Status indicating a successful response that included at least one warning.

Method Summary
`java.lang.String` | `getRequestId()` Returns the unique id for the request that generated this response.
`int` | `getStatus()` Returns the status for this response.
`boolean` | `isAvailable()` Returns true if a response is available, false otherwise.

Field Detail

### STATUS_SUCCESS

    public static final int STATUS_SUCCESS

  Status indicating a successful response.

  See Also:
    Constant Field Values

### STATUS_WARNING

    public static final int STATUS_WARNING

  Status indicating a successful response that included at least one warning.

  See Also:
    Constant Field Values

### STATUS_FAILURE

    public static final int STATUS_FAILURE

  Status indicating a failure response.

  See Also:
    Constant Field Values

### STATUS_UNAVAILABLE

    public static final int STATUS_UNAVAILABLE

  Status indicating that the results are currently unavailable.

  See Also:
    Constant Field Values

Method Detail

### getRequestId

    public java.lang.String getRequestId()
                                  throws JAXRException

  Returns the unique id for the request that generated this response.

  Capability Level: 0

  Returns:
    the request id
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getStatus

    public int getStatus()
                  throws JAXRException

  Returns the status for this response.

  Capability Level: 0

  Returns:
    the status which is an integer enumerated value
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `STATUS_SUCCESS`

### isAvailable

    public boolean isAvailable()
                        throws JAXRException

  Returns true if a response is available, false otherwise. This is a polling method and must not block.

  Capability Level: 0

  Returns:
    `true` if the response is available; `false` otherwise
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.